# Generated by Django 2.2.5 on 2019-09-14 03:32

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion
import simple_history.models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='Card',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', models.DateTimeField(auto_now_add=True)),
                ('modified', models.DateTimeField(auto_now=True)),
                ('status_field', models.BooleanField(default=True)),
                ('id_data', models.UUIDField(blank=True, db_index=True, null=True)),
                ('number', models.CharField(max_length=16, unique=True)),
                ('expiration_date', models.DateField(blank=True, null=True)),
            ],
            options={
                'ordering': ['-number'],
            },
        ),
        migrations.CreateModel(
            name='Payment',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', models.DateTimeField(auto_now_add=True)),
                ('modified', models.DateTimeField(auto_now=True)),
                ('status_field', models.BooleanField(default=True)),
                ('id_data', models.UUIDField(blank=True, db_index=True, null=True)),
                ('buy_order', models.CharField(max_length=26, unique=True, verbose_name='Orden de compra único')),
                ('session_id', models.CharField(max_length=61, unique=True, verbose_name='Identificador único de sesión')),
                ('amount', models.DecimalField(decimal_places=2, max_digits=12, verbose_name='Amount')),
                ('transaction_date', models.DateTimeField(verbose_name='Fecha y hora de autorización')),
                ('verification', models.PositiveSmallIntegerField(choices=[(0, 'No se autenticó'), (1, 'Autenticación exitosa'), (2, 'Autenticación fallida'), (3, 'Tiempo máximo excedido para autenticación'), (4, 'Autenticación abortada por tarjetahabiente'), (5, 'Error interno en la autenticación'), (6, 'No participa'), (7, 'Autenticación fallida extranjera'), (8, 'Intento de autenticación'), (9, 'Autenticación inválida'), (10, 'Error Operativo')])),
                ('url_redirection', models.URLField(max_length=256, verbose_name='URL de redirección para visualizar el voucher')),
                ('authorization_code', models.CharField(max_length=6, verbose_name='Código de autorización de la transacción')),
                ('payment_type', models.PositiveSmallIntegerField(choices=[(1, 'Venta Débito'), (2, 'Venta Normal'), (3, 'Venta en cuotas'), (4, '3 cuotas sin interés'), (5, '2 cuotas sin interés'), (6, 'N Cuotas sin interés'), (7, 'Venta Prepago')])),
                ('shares_number', models.PositiveSmallIntegerField(blank=True, null=True, verbose_name='Cantidad de cuotas')),
                ('response_code', models.PositiveSmallIntegerField(choices=[(0, 'Transacción aprobada'), (1, 'Rechazo de transacción'), (2, 'Transacción debe reintentarse'), (3, 'Error en transacción'), (4, 'Rechazo de transacción'), (5, 'Rechazo por error de tasa'), (6, 'Excede cupo máximo mensual'), (7, 'Excede límite diario por transacción'), (8, 'Rubro no autorizado')], verbose_name='Código de respuesta de la autorización')),
                ('registered_in_matrix', models.BooleanField(default=False)),
                ('card_number', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, to='webpay.Card')),
            ],
            options={
                'ordering': ['-buy_order'],
            },
        ),
        migrations.CreateModel(
            name='HistoricalPayment',
            fields=[
                ('id', models.IntegerField(auto_created=True, blank=True, db_index=True, verbose_name='ID')),
                ('created', models.DateTimeField(blank=True, editable=False)),
                ('modified', models.DateTimeField(blank=True, editable=False)),
                ('status_field', models.BooleanField(default=True)),
                ('id_data', models.UUIDField(blank=True, db_index=True, null=True)),
                ('buy_order', models.CharField(db_index=True, max_length=26, verbose_name='Orden de compra único')),
                ('session_id', models.CharField(db_index=True, max_length=61, verbose_name='Identificador único de sesión')),
                ('amount', models.DecimalField(decimal_places=2, max_digits=12, verbose_name='Amount')),
                ('transaction_date', models.DateTimeField(verbose_name='Fecha y hora de autorización')),
                ('verification', models.PositiveSmallIntegerField(choices=[(0, 'No se autenticó'), (1, 'Autenticación exitosa'), (2, 'Autenticación fallida'), (3, 'Tiempo máximo excedido para autenticación'), (4, 'Autenticación abortada por tarjetahabiente'), (5, 'Error interno en la autenticación'), (6, 'No participa'), (7, 'Autenticación fallida extranjera'), (8, 'Intento de autenticación'), (9, 'Autenticación inválida'), (10, 'Error Operativo')])),
                ('url_redirection', models.URLField(max_length=256, verbose_name='URL de redirección para visualizar el voucher')),
                ('authorization_code', models.CharField(max_length=6, verbose_name='Código de autorización de la transacción')),
                ('payment_type', models.PositiveSmallIntegerField(choices=[(1, 'Venta Débito'), (2, 'Venta Normal'), (3, 'Venta en cuotas'), (4, '3 cuotas sin interés'), (5, '2 cuotas sin interés'), (6, 'N Cuotas sin interés'), (7, 'Venta Prepago')])),
                ('shares_number', models.PositiveSmallIntegerField(blank=True, null=True, verbose_name='Cantidad de cuotas')),
                ('response_code', models.PositiveSmallIntegerField(choices=[(0, 'Transacción aprobada'), (1, 'Rechazo de transacción'), (2, 'Transacción debe reintentarse'), (3, 'Error en transacción'), (4, 'Rechazo de transacción'), (5, 'Rechazo por error de tasa'), (6, 'Excede cupo máximo mensual'), (7, 'Excede límite diario por transacción'), (8, 'Rubro no autorizado')], verbose_name='Código de respuesta de la autorización')),
                ('registered_in_matrix', models.BooleanField(default=False)),
                ('history_id', models.AutoField(primary_key=True, serialize=False)),
                ('history_date', models.DateTimeField()),
                ('history_change_reason', models.CharField(max_length=100, null=True)),
                ('history_type', models.CharField(choices=[('+', 'Created'), ('~', 'Changed'), ('-', 'Deleted')], max_length=1)),
                ('card_number', models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='webpay.Card')),
                ('history_user', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'verbose_name': 'historical payment',
                'ordering': ('-history_date', '-history_id'),
                'get_latest_by': 'history_date',
            },
            bases=(simple_history.models.HistoricalChanges, models.Model),
        ),
        migrations.CreateModel(
            name='HistoricalCard',
            fields=[
                ('id', models.IntegerField(auto_created=True, blank=True, db_index=True, verbose_name='ID')),
                ('created', models.DateTimeField(blank=True, editable=False)),
                ('modified', models.DateTimeField(blank=True, editable=False)),
                ('status_field', models.BooleanField(default=True)),
                ('id_data', models.UUIDField(blank=True, db_index=True, null=True)),
                ('number', models.CharField(db_index=True, max_length=16)),
                ('expiration_date', models.DateField(blank=True, null=True)),
                ('history_id', models.AutoField(primary_key=True, serialize=False)),
                ('history_date', models.DateTimeField()),
                ('history_change_reason', models.CharField(max_length=100, null=True)),
                ('history_type', models.CharField(choices=[('+', 'Created'), ('~', 'Changed'), ('-', 'Deleted')], max_length=1)),
                ('history_user', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'verbose_name': 'historical card',
                'ordering': ('-history_date', '-history_id'),
                'get_latest_by': 'history_date',
            },
            bases=(simple_history.models.HistoricalChanges, models.Model),
        ),
    ]
